<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="14109" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14088"/>
        <capability name="Constraints with non-1.0 multipliers" minToolsVersion="5.1"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB" customClass="GMWeixinShareView">
            <rect key="frame" x="0.0" y="0.0" width="320" height="477"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="e19-GG-RSd" userLabel="ShareView">
                    <rect key="frame" x="0.0" y="477" width="320" height="150"/>
                    <subviews>
                        <button opaque="NO" tag="3" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="VXP-M0-7VD">
                            <rect key="frame" x="50" y="20" width="60" height="80"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="60" id="nFW-kO-27w"/>
                                <constraint firstAttribute="height" constant="80" id="qPS-so-nCr"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="11"/>
                            <inset key="titleEdgeInsets" minX="-54" minY="45" maxX="0.0" maxY="0.0"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="-30" maxX="0.0" maxY="0.0"/>
                            <state key="normal" title="微信" image="share_weixin_coupon_timeline">
                                <color key="titleColor" red="0.1919802725315094" green="0.19197453558444977" blue="0.19197782874107361" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            </state>
                            <connections>
                                <action selector="shareButtonClicked:" destination="iN0-l3-epB" eventType="touchUpInside" id="SKU-RI-DN7"/>
                            </connections>
                        </button>
                        <button opaque="NO" tag="4" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vec-Bd-FiL">
                            <rect key="frame" x="210" y="20" width="60" height="80"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="80" id="tBd-jr-WiX"/>
                                <constraint firstAttribute="width" constant="60" id="xec-Pb-tRj"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="11"/>
                            <inset key="titleEdgeInsets" minX="-54" minY="45" maxX="0.0" maxY="0.0"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="-30" maxX="0.0" maxY="0.0"/>
                            <state key="normal" title="朋友圈" image="share_weixin_coupon_session">
                                <color key="titleColor" red="0.1919802725315094" green="0.19197453558444977" blue="0.19197782874107361" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            </state>
                            <connections>
                                <action selector="shareButtonClicked:" destination="iN0-l3-epB" eventType="touchUpInside" id="hLT-nh-rsY"/>
                            </connections>
                        </button>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="wYr-DV-cwz">
                            <rect key="frame" x="0.0" y="105" width="320" height="0.5"/>
                            <color key="backgroundColor" red="0.89803921568627454" green="0.89803921568627454" blue="0.89803921568627454" alpha="1" colorSpace="calibratedRGB"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="0.5" id="7i2-t4-rvw"/>
                            </constraints>
                        </view>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="4Su-Dy-ilU">
                            <rect key="frame" x="0.0" y="105.5" width="320" height="45"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="45" id="7Tb-js-ozy"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="16"/>
                            <state key="normal" title="取消">
                                <color key="titleColor" red="0.20000000000000001" green="0.20000000000000001" blue="0.20000000000000001" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <state key="highlighted" title="取消"/>
                            <connections>
                                <action selector="hideShareView:" destination="iN0-l3-epB" eventType="touchUpInside" id="GT5-mj-zqx"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <constraints>
                        <constraint firstItem="VXP-M0-7VD" firstAttribute="top" secondItem="e19-GG-RSd" secondAttribute="top" constant="20" id="0LA-qZ-jO0"/>
                        <constraint firstAttribute="trailing" secondItem="wYr-DV-cwz" secondAttribute="trailing" id="0OS-a5-NqZ"/>
                        <constraint firstAttribute="trailing" secondItem="4Su-Dy-ilU" secondAttribute="trailing" id="4j0-hz-Ii1"/>
                        <constraint firstItem="4Su-Dy-ilU" firstAttribute="top" secondItem="wYr-DV-cwz" secondAttribute="bottom" id="8Fr-X0-agM"/>
                        <constraint firstAttribute="height" constant="150" id="G4L-wV-57D"/>
                        <constraint firstItem="wYr-DV-cwz" firstAttribute="top" secondItem="VXP-M0-7VD" secondAttribute="bottom" constant="5" id="MYZ-ht-LUU"/>
                        <constraint firstItem="wYr-DV-cwz" firstAttribute="leading" secondItem="e19-GG-RSd" secondAttribute="leading" id="Q9m-oc-cLH"/>
                        <constraint firstItem="4Su-Dy-ilU" firstAttribute="leading" secondItem="e19-GG-RSd" secondAttribute="leading" id="VcO-ea-Stl"/>
                        <constraint firstItem="vec-Bd-FiL" firstAttribute="centerY" secondItem="VXP-M0-7VD" secondAttribute="centerY" id="g2M-AC-jmC"/>
                        <constraint firstItem="VXP-M0-7VD" firstAttribute="centerX" secondItem="e19-GG-RSd" secondAttribute="centerX" multiplier="0.5" id="sZS-6i-r8i"/>
                        <constraint firstItem="vec-Bd-FiL" firstAttribute="centerX" secondItem="e19-GG-RSd" secondAttribute="centerX" multiplier="1.5" id="tTz-f7-lW2"/>
                    </constraints>
                </view>
            </subviews>
            <gestureRecognizers/>
            <constraints>
                <constraint firstItem="e19-GG-RSd" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" id="3vb-UQ-qgW"/>
                <constraint firstAttribute="bottom" secondItem="e19-GG-RSd" secondAttribute="top" id="8Lk-fD-Nqk"/>
                <constraint firstAttribute="trailing" secondItem="e19-GG-RSd" secondAttribute="trailing" id="Kfi-de-oGC"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <connections>
                <outlet property="shareViewBottomConstraint" destination="8Lk-fD-Nqk" id="ici-eC-Dn2"/>
                <outlet property="shareViewHeight" destination="G4L-wV-57D" id="wJ9-fa-gXu"/>
                <outlet property="tapGestureRecognizer" destination="oVa-0W-Y9X" id="gGA-x7-d6g"/>
                <outletCollection property="gestureRecognizers" destination="oVa-0W-Y9X" appends="YES" id="dwu-oR-kfy"/>
            </connections>
            <point key="canvasLocation" x="34" y="52.5"/>
        </view>
        <tapGestureRecognizer id="oVa-0W-Y9X">
            <connections>
                <action selector="hideShareView:" destination="iN0-l3-epB" id="u6P-tD-Oex"/>
                <outlet property="delegate" destination="e19-GG-RSd" id="Rq5-aq-lJA"/>
            </connections>
        </tapGestureRecognizer>
    </objects>
    <resources>
        <image name="share_weixin_coupon_session" width="45" height="45"/>
        <image name="share_weixin_coupon_timeline" width="45" height="45"/>
    </resources>
</document>
